org.apache.olingo.odata2.api.edm.provider

## Class AssociationSet

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.AssociationSet

-     public class AssociationSet
      extends Object

  Objects of this class represent an association set

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssociationSet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationAttribute>` | `getAnnotationAttributes()`
    `List<AnnotationElement>` | `getAnnotationElements()`
    `FullQualifiedName` | `getAssociation()`
    `Documentation` | `getDocumentation()`
    `AssociationSetEnd` | `getEnd1()`
    `AssociationSetEnd` | `getEnd2()`
    `String` | `getName()`
    `AssociationSet` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the collection of `AnnotationAttribute` for this `AssociationSet`
    `AssociationSet` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the collection of `AnnotationElement` for this `AssociationSet`
    `AssociationSet` | `setAssociation(FullQualifiedName association)` Sets the `FullQualifiedName` association for this `AssociationSet`
    `AssociationSet` | `setDocumentation(Documentation documentation)` Sets the `Documentation` for this `AssociationSet`
    `AssociationSet` | `setEnd1(AssociationSetEnd end1)` Sets the first `AssociationSetEnd` for this `AssociationSet`
    `AssociationSet` | `setEnd2(AssociationSetEnd end2)` Sets the second `AssociationSetEnd` for this `AssociationSet`
    `AssociationSet` | `setName(String name)` Sets the name for this `AssociationSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssociationSet

          public AssociationSet()

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        String name

    - #### getAssociation

          public FullQualifiedName getAssociation()

      Returns:
        `FullQualifiedName` Association of this `AssociationSet` (namespace and name)

    - #### getEnd1

          public AssociationSetEnd getEnd1()

      Returns:
        `AssociationEnd` end1

    - #### getEnd2

          public AssociationSetEnd getEnd2()

      Returns:
        `AssociationEnd` end2

    - #### getDocumentation

          public Documentation getDocumentation()

      Returns:
        `Documentation` documentation

    - #### getAnnotationAttributes

          public List<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        collection of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        collection of `AnnotationElement` annotation elements

    - #### setName

          public AssociationSet setName(String name)

      Sets the name for this `AssociationSet`
      Parameters:
        `name` -
      Returns:
        `AssociationSet` for method chaining

    - #### setAssociation

          public AssociationSet setAssociation(FullQualifiedName association)

      Sets the `FullQualifiedName` association for this `AssociationSet`
      Parameters:
        `association` -
      Returns:
        `AssociationSet` for method chaining

    - #### setEnd1

          public AssociationSet setEnd1(AssociationSetEnd end1)

      Sets the first `AssociationSetEnd` for this `AssociationSet`
      Parameters:
        `end1` -
      Returns:
        `AssociationSet` for method chaining

    - #### setEnd2

          public AssociationSet setEnd2(AssociationSetEnd end2)

      Sets the second `AssociationSetEnd` for this `AssociationSet`
      Parameters:
        `end2` -
      Returns:
        `AssociationSet` for method chaining

    - #### setDocumentation

          public AssociationSet setDocumentation(Documentation documentation)

      Sets the `Documentation` for this `AssociationSet`
      Parameters:
        `documentation` -
      Returns:
        `AssociationSet` for method chaining

    - #### setAnnotationAttributes

          public AssociationSet setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the collection of `AnnotationAttribute` for this `AssociationSet`
      Parameters:
        `annotationAttributes` -
      Returns:
        `AssociationSet` for method chaining

    - #### setAnnotationElements

          public AssociationSet setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the collection of `AnnotationElement` for this `AssociationSet`
      Parameters:
        `annotationElements` -
      Returns:
        `AssociationSet` for method chaining

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.